Skip to main content
Posting Classes

Get Posting Classes

This method requires the PostingClasses:Get permission to be associated with your role.

GET
/gl/posting-classes
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
posting_class_codestringquery

Optional Posting class code

posting_class_group_idstringquery

Optional Posting class group ID

namestringquery

Optional Name

This field supports the wildcard % operator.

fieldsstring[]query

Define fields required. If no fields are specified, then all fields are returned.

pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1